Subscribe for intercepting APIs

Subscribe for intercepting APIs

Multiple subscriptions with different endpoints is allowed for the same type and apiId. Multiple subscriptions with different endpoints of type ADAPT_ENTITY is allowed for the entityName. If a subscription already exists, it will be overridden with the new executionOrder (if provided in the request). If an interception is created or updated to have the same executionOrder as an existing interception (including existing ones with default executionOrder), It will be set with that executionOrder and the existing interception's executionOrder will be incremented. If that interception's new executionOrder clashes with another the other one will be incremented as well, and so forth.

Request Body Parameters:

ParameterTypeMandatoryDescriptionExample
typestringtrueValues:PRE_REQUEST,POST_REQUEST,ADAPT_ENTITY
apiIdstringtrueShould only be provided if type=PRE_REQUEST or type=POST_REQUESTPOST/device/v1/devices
entityNamestringtrueShould only be provided if type=ADAPT_ENTITYdevice
endpointstringtruehttps://api.dev.biot-med.com/device-plugin/v1/devices/create-device-pre-interception
executionOrderintegerfalseIf not provided, the default value will be taken from the environment variable: EXECUTIONORDER_DEFAULT.
Subscription with the same executionOrder cannot exist simultaneously.
If an interception is created or updated to have the same executionOrder as an existing interception (including existing ones with default executionOrder),
It will be set with that executionOrder and the existing interception's executionOrder will be incremented.
If that interception's new executionOrder clashes with another the other one will be incremented as well, and so forth.1

This API requires HOOKS_INTERCEPTION_CREATE permission(s).

Body Params
string
enum
required
Allowed:
string
required

Should only be provided if type=PRE_REQUEST or type=POST_REQUEST

string
required

Should only be provided if type=ADAPT_ENTITY

string
required
int32

If not provided, the default value will be taken from the environment variable: EXECUTIONORDER_DEFAULT. Subscription with the same executionOrder cannot exist simultaneously. If an interception is created or updated to have the same executionOrder as an existing interception (including existing ones with default executionOrder), It will be set with that executionOrder and the existing interception's executionOrder will be incremented. If that interception's new executionOrder clashes with another the other one will be incremented as well, and so forth.

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json